## CongEditorAreaLabelled

CongEditorAreaLabelled —

## Synopsis

    struct      CongEditorAreaLabelled;
    #define     CONG_EDITOR_AREA_LABELLED       (obj)
    #define     CONG_EDITOR_AREA_LABELLED_CLASS (klass)
    #define     IS_CONG_EDITOR_AREA_LABELLED    (obj)
    GType       cong_editor_area_labelled_get_type
                                                (void);
    CongEditorArea* cong_editor_area_labelled_construct
                                                (CongEditorAreaLabelled *area_labelled,
                                                 CongEditorWidget3 *editor_widget,
                                                 CongEditorArea *label);
    CongEditorArea* cong_editor_area_labelled_new
                                                (CongEditorWidget3 *editor_widget,
                                                 CongEditorArea *label);
    void        cong_editor_area_labelled_set_label
                                                (CongEditorAreaLabelled *area_labelled,
                                                 CongEditorArea *label);
    CongEditorArea* cong_editor_area_labelled_get_label
                                                (CongEditorAreaLabelled *area_labelled);

## Object Hierarchy

      GObject
       +----CongEditorArea
             +----CongEditorAreaContainer
                   +----CongEditorAreaBin
                         +----CongEditorAreaLabelled
                               +----CongEditorAreaListitem

## Description

## Details

### struct CongEditorAreaLabelled

    struct CongEditorAreaLabelled;

### CONG_EDITOR_AREA_LABELLED()

    #define CONG_EDITOR_AREA_LABELLED(obj)         G_TYPE_CHECK_INSTANCE_CAST (obj, CONG_EDITOR_AREA_LABELLED_TYPE, CongEditorAreaLabelled)

`obj` : |

### CONG_EDITOR_AREA_LABELLED_CLASS()

    #define CONG_EDITOR_AREA_LABELLED_CLASS(klass) G_TYPE_CHECK_CLASS_CAST (klass, CONG_EDITOR_AREA_LABELLED_TYPE, CongEditorAreaLabelledClass)

`klass` : |

### IS_CONG_EDITOR_AREA_LABELLED()

    #define IS_CONG_EDITOR_AREA_LABELLED(obj)      G_TYPE_CHECK_INSTANCE_TYPE (obj, CONG_EDITOR_AREA_LABELLED_TYPE)

`obj` : |

### cong_editor_area_labelled_get_type ()

    GType       cong_editor_area_labelled_get_type
                                                (void);

Returns : |

### cong_editor_area_labelled_construct ()

    CongEditorArea* cong_editor_area_labelled_construct
                                                (CongEditorAreaLabelled *area_labelled,
                                                 CongEditorWidget3 *editor_widget,
                                                 CongEditorArea *label);

TODO: Write me

`area_labelled` : |
`editor_widget` : |
`label` : |
Returns : |

### cong_editor_area_labelled_new ()

    CongEditorArea* cong_editor_area_labelled_new
                                                (CongEditorWidget3 *editor_widget,
                                                 CongEditorArea *label);

TODO: Write me

`editor_widget` : |
`label` : |
Returns : |

### cong_editor_area_labelled_set_label ()

    void        cong_editor_area_labelled_set_label
                                                (CongEditorAreaLabelled *area_labelled,
                                                 CongEditorArea *label);

TODO: Write me

`area_labelled` : |
`label` : |

### cong_editor_area_labelled_get_label ()

    CongEditorArea* cong_editor_area_labelled_get_label
                                                (CongEditorAreaLabelled *area_labelled);

`area_labelled` : |
Returns : |